/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmslucorefunctions
#define headerfilecmslucorefunctions

#include <map>
#include <string>

#include "function.h"



class Functions
{

typedef std::map<std::string, Function> Table;
Table table;

public:



	void Clear();
	void ReadFunctions();

	Function * GetFunction(const std::string & name);
	Function * GetFunction(int code);



};



#endif
