/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmslucoreticket
#define headerfilecmslucoreticket

#include <string>




struct Ticket
{
	long id;
	long dir_id;
	long parent_id;
	unsigned int type;
	unsigned int status;
	unsigned int priority;
	unsigned int category;
	unsigned int expected;
	unsigned int progress;     // 0 - 100 (percentage)

	// the first item (with the content for the ticket)
	long item_id;



	void Clear()
	{
		id          = -1;
		dir_id      = -1;
		parent_id   = -1;
		type        = 0;
		status      = 0;
		priority    = 0;
		category    = 0;
		expected    = 0;
		progress    = 0;
		item_id     = -1;
	}


	Ticket()
	{
		Clear();
	}

};


#endif
