/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmslucoreusers
#define headerfilecmslucoreusers

#include <map>
#include "user.h"
#include "ugcontainer.h"




class Users
{

typedef UGContainer<User> Table;
Table table;


public:

	typedef Table::Iterator Iterator;
	typedef Table::SizeType SizeType;


	Users();
	void Clear();
	void ReadUsers();
	bool AddUser(const User & user);
	bool IsUser(const std::string & name);
	User * GetUser(long user_id);
	User * GetUser(const std::string & name);
	long GetUserId(const std::string & name);
	Iterator Begin();
	Iterator End();
	SizeType Size();
	User & operator[](SizeType pos);
};








#endif
