/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "templates.h"
#include "../core/request.h"




namespace TemplatesFunctions
{

static size_t ls_ckeditor_reqid = 0;
static int ls_ckeditor_funnum = 0;



void ls_ckeditor_funnum_browse(Info & i)
{
	if( ls_ckeditor_reqid != request.id )
	{
		ls_ckeditor_reqid = request.id;
		ckeditor_getparser.fun_num = 2; // default if there is a problem with parsing info

		if( !request.param_table.empty() )
		{
			const char * str = request.param_table[request.param_table.size()-1]->c_str() + 1; // the first char is '?'
			ckeditor_getparser.Parse(str);
		}

		ls_ckeditor_funnum = ckeditor_getparser.fun_num;
	}

	i.out << ls_ckeditor_funnum;
}






} // namespace

