/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010, Tomasz Sowa
 * All rights reserved.
 * 
 */

#ifndef headerfilecmslutemplatesmisc
#define headerfilecmslutemplatesmisc


#include <vector>
#include <string>
#include "localefilter.h"
#include "ezc.h"




namespace TemplatesMisc
{
// table: [language][file]
typedef std::vector<std::vector<Ezc::Pattern> > Patterns;


void print_date_nice(Ezc::Info & i, tm * ptm);



// those functions from here are used in the second thread too

void Read(Patterns & patterns, size_t pat, Locale & locale, LocaleFilter & locale_filter, const char * file, bool delete_white = false);
void ClearPatterns(Patterns & patterns, size_t len);



} // namespace TemplatesMisc

#endif

