/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2010, Tomasz Sowa
 * All rights reserved.
 * 
 */


#include "../core/request.h"
#include "../core/data.h"
#include "templates.h"




namespace TemplatesFunctions
{

static size_t rebus_reqid = 0;



void rebus_init()
{
	if( rebus_reqid != request.id )
	{
		request.session->rebus_item = data.rebus.Rand();
		request.session->rebus_checked = false;
		rebus_reqid = request.id;
	}
}


void rebus_question(Info & i)
{
	rebus_init();

	if( request.session->rebus_item )
		i.out << request.session->rebus_item->question;
}








} // namespace


