/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "content.h"
#include "../core/request.h"
#include "../core/data.h"



void Content::CheckSpecialFile()
{
	static std::string fstab = "fstab";

	Item * etc = data.dirs.GetEtcDir();

	if( !etc )
		return;

	if( request.item.parent_id != etc->id )
		return;

	if( request.item.url == fstab )
	{
		log << log3 << "Content: reloading mount points" << logend;

		request.status = data.mounts.ReadMounts(request.item.content);
	}
}

