/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include <ctime>
#include "templates.h"
#include "../core/request.h"


namespace TemplatesFunctions
{

void adduser_last_login(Info & i)
{
	std::string * last_login = request.PostVar("login");

	if( last_login )
		i.out << *last_login;
}


void adduser_last_email(Info & i)
{
	std::string * last_email = request.PostVar("email");

	if( last_email )
		i.out << *last_email;
}



} // namespace
